%define mod_name Socket

Name:    perl-%{mod_name}
Epoch:   4
Version: 2.030
Release: 1
Summary: Networking constants and support functions
License: GPL+ or Artistic
URL:     https://metacpan.org/release/Socket
Source0: https://cpan.metacpan.org/authors/id/P/PE/PEVANS/%{mod_name}-%{version}.tar.gz

BuildRequires: findutils, gcc, make, perl-interpreter, perl-devel, perl-generators
BuildRequires: perl(Config), perl(ExtUtils::CBuilder), perl(ExtUtils::Constant) >= 0.23
BuildRequires: perl(ExtUtils::MakeMaker), perl(strict), perl(warnings)
BuildRequires: perl(Carp), perl(Exporter), perl(warnings::register), perl(XSLoader)
BuildRequires: perl(Errno), perl(Test::More)
Requires: perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module provides a variety of constants, structure manipulators and other
functions related to socket-based networking. The values and functions
provided are useful when used in conjunction with Perl core functions such as
socket(), setsockopt() and bind(). It also provides several other support
functions, mostly for dealing with conversions of network addresses between
human-readable and native binary forms, and for hostname resolver operations.

%package_help

%prep
%autosetup -n %{mod_name}-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 | xargs rm -f
%{_fixperms} %{buildroot}/*

%check
make test

%pre

%preun

%post

%postun

%files
%doc Changes
%license Artistic Copying LICENSE
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Socket*

%files help
%{_mandir}/man*/*

%changelog
* Fri Aug 21 2020 SimpleUpdate Robot <tc@openeuler.org> - 2.030-1
- Upgrade to version 2.030

* Tue Feb 25 2020 openEuler Buildteam <buildteam@openeuler.org> - 4:2.029-2
- Modify subpackage of help

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 4:2.029-1
- Package init
